Viewing Issue Advanced Details Jump to Notes ] mario.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03321 DIP/Input Trivial Always Jul 23, 2009, 05:26 May 31, 2016, 10:20
Tester gstrain View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved   Driver mario.cpp
Version 0.133 Fixed in Version 0.175 Build Normal
Summary 03321: mario: Dip switch titles for bonus life don't match gameplay
Description The dip switch settings for bonus life are listed as "20K only", "30K only", "40K only" and "None". However the game play is actually as "20k 40k 20k+", "30k 50k 20k+", "40k 60k 20k+" and "None".
Steps To Reproduce With settings for Bonus Life of "20K only" play up to 200K. You will get extra lives every 20K, not only at the first 20K. Same steps apply for "30K only" and "40K only". In both cases you also get extras every 20K after the first one. With Bonus Life set to "None" you get the expected no extra lives. I can provide inp files to demonstrate this if anybody needs help scoring this high.
Additional Information The MAWS comment on this new romset says, "22nd June 2009: Smitdogg - Thanks to MrGoodwraith we have a new version of Mario Bros.! What it appears to be is a US "rev f" set, where the current "mario" set in MAME is a US "rev e" set. That is just a guess according to writing on the program roms." Frankly I'm a bit skeptical whether this is really a later revision than marioo and not an earlier one. It seems strange that Nintendo would change the game to give tons of extra lives in a later revision since it lets skilled players easily play the game for hours. It makes more sense to me that that they would revise it to give less lives.

Also note that the gameplay for marioo and marioe both really give bonus lives at 20K only, 30K only and 40K only, so make sure to keep these titles for the bonus life dip switches on those roms since currently they both inherit the bonus life dip switch titles from mario.
Flags
Regression Version
Affected Sets / Systems mario
Attached Files
 


-  Notes
User avatar
No.12737
anikom15
(Tester)
May 30, 2016, 23:06
Noticed this when I was playing and fix'd:
https://github.com/mamedev/mame/pull/914
User avatar
No.12740
Osso
(Developer)
May 31, 2016, 10:20
Fixed by anikom15